#ifndef TMHistogrammingClusterSizeOuter_H
#define TMHistogrammingClusterSizeOuter_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingClusterSizeOuter : public TMHistogramming {
 public:
  TMHistogrammingClusterSizeOuter();
  virtual ~TMHistogrammingClusterSizeOuter();
  
  virtual void ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void RebinHistos(UInt_t includeVal);

 protected:

  TH1F   *fHist;
  UInt_t fDivX;
  Int_t  fRangeX;

};

#endif
